Get Resources (all)
GET /v1/reservations/resources/{deviceId}/all
Gets all reservation resources for a given VAKA system.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
deviceId string(uuid) path parameter (required)
Identifier of the VAKA system to get reservation resources from.
pageSize int32 query parameter (optional)
The maximum number of resources to return. Default page size is 50, maximum allowed page size is 100.
continuationToken (string) query parameter (optional)
Token returned in a previous response that can be used to return the next page of resources.
Response
200 OK
A list containing details about each reservation resource.
Body
resources array of ReservationResource objects
A list of ReservationResource objects.
Show ReservationResource attributes
Represents a resource that are available for booking.
id string(uuid)
Unique identifier of the reservation resource.
name string
Name of the reservation resource, typically used for presentation purposes.
description string
An additional description of the resource, typically used for presentation purposes.
deviceId string(uuid)
Identifier of the VAKA system the resource belongs to.
timeScheduleId string
Identifier of the time schedule associated with the resource.
continuationToken string
A token that can be used in subsequent request to fetch the next page of reservation resources, or null if there is no more reservation resources to get.
Last updated